declare type CSSObject = {
    [key: string]: string | number | CSSObject;
};
declare type KeyValueObject = {
    key: string;
    value: string | number;
};
declare type Options = Partial<{
    prefix: string;
}>;
declare type CustomPropertiesOptions = Options & Partial<{
    withRGB: boolean;
}>;
declare type CustomMediaQueriesOptions = Options;
declare const toCustomPropertiesArray: (object: CSSObject, options?: CustomPropertiesOptions) => KeyValueObject[];
declare const toCustomMediaQueriesArray: (object: CSSObject, options?: CustomMediaQueriesOptions) => KeyValueObject[];
declare const toCustomPropertiesString: (object: CSSObject, options?: CustomPropertiesOptions) => string;
declare const toCustomMediaQueriesString: (object: CSSObject, options?: CustomMediaQueriesOptions) => string;

export { toCustomMediaQueriesArray, toCustomMediaQueriesString, toCustomPropertiesArray, toCustomPropertiesString };
